// Copyright (C) 1991-2009 Altera Corporation
// Your use of Altera Corporation's design tools, logic functions 
// and other software and tools, and its AMPP partner logic 
// functions, and any output files from any of the foregoing 
// (including device programming or simulation files), and any 
// associated documentation or information are expressly subject 
// to the terms and conditions of the Altera Program License 
// Subscription Agreement, Altera MegaCore Function License 
// Agreement, or other applicable license agreement, including, 
// without limitation, that your use is for the sole purpose of 
// programming logic devices manufactured by Altera and sold by 
// Altera or its authorized distributors.  Please refer to the 
// applicable agreement for further details.

// PROGRAM		"Quartus II"
// VERSION		"Version 9.0 Build 235 06/17/2009 Service Pack 2 SJ Web Edition"
// CREATED ON	"Thu Oct 08 21:22:27 2009"

module NTSC_Enc2(
	CLK,
	xReset,
	B,
	G,
	R,
	Odd,
	Comp,
	Hcount,
	Vcount
);


input	CLK;
input	xReset;
input	[7:0] B;
input	[7:0] G;
input	[7:0] R;
output	Odd;
output	[7:0] Comp;
output	[10:0] Hcount;
output	[9:0] Vcount;

wire	SYNTHESIZED_WIRE_0;
wire	SYNTHESIZED_WIRE_1;
wire	[10:0] SYNTHESIZED_WIRE_2;
wire	[2:0] SYNTHESIZED_WIRE_3;
wire	[10:0] SYNTHESIZED_WIRE_4;





Matrix_Sch	b2v_inst1(
	.CLK(CLK),
	.xReset(xReset),
	.B(B),
	.G(G),
	.R(R),
	.Uout(SYNTHESIZED_WIRE_2),
	
	.Yout(SYNTHESIZED_WIRE_4));


SyncGen_Sch	b2v_inst3(
	.CLK(CLK),
	.xReset(xReset),
	.BE(SYNTHESIZED_WIRE_1),
	.CSync(SYNTHESIZED_WIRE_0),
	.Odd(Odd),
	.CS(SYNTHESIZED_WIRE_3),
	.Hcount(Hcount),
	.Vcount(Vcount));


Mixer_Sch	b2v_inst4(
	.Csync(SYNTHESIZED_WIRE_0),
	.BE(SYNTHESIZED_WIRE_1),
	.CLK(CLK),
	.xReset(xReset),
	.C(SYNTHESIZED_WIRE_2),
	.SC(SYNTHESIZED_WIRE_3),
	.Y(SYNTHESIZED_WIRE_4),
	.Comp(Comp));


endmodule
