module ScoreCount  ( SW2, SW3, SW14,
                     DA, DB, DC, DD, LxR,

                    Clk, xReset );
    
    input           SW2, SW3, SW14 ;
    
    output    [3:0] DA, DB, DC, DD ;
    output          LxR ;
    
    input           Clk ;
    input           xReset ;

    reg       [3:0] DA, DB, DC, DD ;
    reg             LxR ;
                                          
    always @( posedge Clk or negedge xReset )
    begin
        if( xReset == 0 ) begin
            DA <= 0 ; DB <= 0 ; DC <= 0 ; DD <= 0 ;
            LxR <= 0 ;
        end else begin
            LxR <= ( SW2 )? ~LxR : LxR ;
            if( SW3 | SW14 ) begin
                if( LxR ) begin
                    if( SW3 ) begin
                        if( DB == 9 ) begin
                            if ( DA != 9 )begin
                                DA <= DA + 1 ;
                                DB <= 0 ;
                            end
                        end else begin
                            DB <= DB + 1 ;
                        end
                    end else begin
                        if( DB == 0 ) begin
                            if ( DA != 0 ) begin
                                DA <= DA - 1 ;
                                DB <= 9 ;
                            end
                        end else begin
                            DB <= DB - 1 ;
                        end
                    end
                end else begin  
                    if( SW3 ) begin
                        if( DD == 9 ) begin 
                            if ( DC != 9 )begin
                                DC <= DC + 1 ;
                                DD <= 0 ;
                            end
                        end else begin
                            DD <= DD + 1 ;
                        end
                    end else begin
                        if( DD == 0 ) begin
                            if ( DC != 0 ) begin
                                DC <= DC - 1 ;
                                DD <= 9 ;
                            end
                        end else begin
                            DD <= DD - 1 ;
                        end
                    end 
                end 
            end
        end
    end     
endmodule    