library verilog;
use verilog.vl_types.all;
entity Sync_Gen is
    generic(
        H_Total_Dots    : integer := 1399;
        H_Dots          : integer := 800;
        H_Sync_Start    : integer := 856;
        H_Sync_End      : integer := 976;
        V_Total_Lines   : integer := 665;
        V_Lines         : integer := 600;
        V_Sync_Start    : integer := 637;
        V_Sync_End      : integer := 643;
        Sync_Polarity   : integer := 1
    );
    port(
        Hsync           : out    vl_logic;
        Vsync           : out    vl_logic;
        Hcount          : out    vl_logic_vector(10 downto 0);
        Vcount          : out    vl_logic_vector(9 downto 0);
        Disp            : out    vl_logic;
        Clk             : in     vl_logic;
        xReset          : in     vl_logic
    );
end Sync_Gen;
