module score( SW1,  SW2,  SW3, SW4,
              R, G, B,
              Hsync, Vsync,
             Clk, xReset );
    
    input       SW1,SW2, SW3, SW4 ;
    output      R, G, B ;
    output      Hsync, Vsync ;
       
    input       Clk, xReset ;

    wire        SW14out, SW2out, SW3out ;
    wire  [3:0] DA, DB, DC, DD ;
    wire        LxR ;
    wire        R, G, B, Hsync, Vsync ;
    
Chatter    Chatter   ( SW1,  SW2,  SW3, SW4,
                       SW14out,SW2out, SW3out,
                       Clk, xReset );
                
ScoreCount ScoreCount( SW2out, SW3out, SW14out,
                       DA, DB, DC, DD, LxR,
                       Clk, xReset );

ScoreDisp  ScoreDisp ( DA, DB, DC, DD, LxR,
                       R,  G,  B, Hsync, Vsync,
                       Clk, xReset );                     
endmodule    